Bug 184571 - Fujitsu Lifebook P Series (P1510D) should be able to use the touchscreen
Fujitsu Lifebook P Series (P1510D) should be able to use the touchscreen
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
: Desktop, FutureFeature
Depends On:
Blocks: 183425
  Show dependency treegraph
 
Reported: 2006-03-09 16:59 EST by Suzanne Hillman
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-10 19:51:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Suzanne Hillman 2006-03-09 16:59:53 EST
Description of problem:
It should be possible to use the touchscreen of a Fujitsu Lifebook P Series
(P1510D) laptop. The touch screen ought to be able to behave as if it were
another pointing device (in addition to, not instead of, any already available
pointing devices). This should include single and double clicking, dragging
things around, and drawing in appropriate applications.

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.0.1-8
Comment 1 Mike A. Harris 2006-03-10 19:51:54 EST
While we do provide the touchscreen drivers that are supplied by X.Org, they
are provided as-is, however we do not support touch screens.  If any bugs
or problems are found in the touchscreen drivers, they should be reported
directly to X.Org bugzilla at http://bugs.freedesktop.org in the "xorg"
component.

Having said that, touchscreens are not autodetected by our installer, and
you must manually configure them, if the driver for the hardware happens
to come with the distribution.  If no driver is present for the touchscreen,
you might want to try a search engine to see if the vendor provides drivers
for X for the hardware.

Hope this helps.

Comment 2 Suzanne Hillman 2006-03-16 14:54:52 EST
Mike - I managed to find an appropriate driver and instructions, which work.
Which component in X.org's bugzilla should I be using in order to request that
they add it?

(in case you care: http://www.conan.de/touchscreen/p-series.html - but note that
their claims about which port to use in setserial don't take into account
variations and that people should be looking at their ioports range for /dev/ttyS0)

Note You need to log in before you can comment on or make changes to this bug.